﻿// scripted by Rassadin Pavel (RPV); e-mail: mf36@yandex.ru; data: 16.08.2006; freeware;

var doc = app.activeDocument;
var thePlacedItems = doc.placedItems;
var theRasterItems = doc.rasterItems;
var linksfolder = "links";
var imagesfolder = "/" + linksfolder + "/";
var docName = "/" + doc.name;
var preselectedFolder = "/d/Паша/";
var strSaveDialog = "Select a folder to package files";
var start = true;
var ver = 12;
var saveOptions = new IllustratorSaveOptions();
switch (ver){				
	case 3: saveOptions.compatibility = Compatibility.ILLUSTRATOR3;				
	break;
	case 8: saveOptions.compatibility = Compatibility.ILLUSTRATOR8;				
	break;
	case 9: saveOptions.compatibility = Compatibility.ILLUSTRATOR9;				
	break;
	case 10: saveOptions.compatibility = Compatibility.ILLUSTRATOR10;				
	break;
	case 11: saveOptions.compatibility = Compatibility.ILLUSTRATOR11;				
	break;
	case 12: saveOptions.compatibility = Compatibility.ILLUSTRATOR12;				
	break;
}
saveOptions.overprint = PDFOverprint.PRESERVEPDFOVERPRINT;
if (ver <= 9) {
	saveOptions.flattenOutput = OutputFlattening.PRESERVEAPPEARANCE;
}
if (ver >= 7) {
	saveOptions.embedLinkedFiles = false;	
}
if (ver >= 9) {
	saveOptions.fontSubsetThreshold = 100;
	saveOptions.embedICCProfile = false;
}
if (ver >= 10) {
	saveOptions.compressed = true;
	saveOptions.pdfCompatible = false;	
}
if (documents.length > 0){
	if (doc.saved==false) {
			alert('File must be saved!!!','Package',true);
			start = false;
	}
	if (start){					
		var destFolder = Folder.selectDialog(strSaveDialog,preselectedFolder);
		if (destFolder != null) {			
			var folder = new Folder(destFolder);
			folder.create();
			imagesfolder = destFolder + imagesfolder;
			var folder = new Folder(imagesfolder);
			folder.create();
			for (var i = 0 ; i < thePlacedItems.length; i++){
				source = thePlacedItems[i].file.fullName;
				newSource = new File(source);
				target = imagesfolder + thePlacedItems[i].file.name;
				if (newSource != null) newSource.copy(target);
				newTarget = new File(target);	
				thePlacedItems[i].file = newTarget;
			 }
			targetFile = destFolder + docName;					
			var saveName = new File (targetFile);
			doc.saveAs(saveName, saveOptions);
		}		
	}
}
